%global momorel   7
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: lsdb - a rolodex-like database program for SEMI based MUA
Name: elisp-lsdb
Version: 0.10
Release: %{momorel}m
License: GPL
Group: Applications/Editors
Source: http://downloads.sourceforge.jp/lsdb/1494/lsdb-0.10.tar.gz
Nosource: 0
URL: http://sourceforge.jp/projects/lsdb/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs, apel-xemacs
BuildPreReq: emiko-emacs, emiko-xemacs
Requires: emacsen

%description
LSDB (The Lovely Sister Database) is a rolodex-like database program
for SEMI based MUA.  It intends to be a lightweight replacement for
BBDB (The Insidious Big Brother Database).  Unfortunately, it
currently doesn't support the all features of BBDB.

%package -n lsdb-emacs
Summary: lsdb - a rolodex-like database program for SEMI based MUA
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n lsdb-emacs
LSDB (The Lovely Sister Database) is a rolodex-like database program
for SEMI based MUA.  It intends to be a lightweight replacement for
BBDB (The Insidious Big Brother Database).  Unfortunately, it
currently doesn't support the all features of BBDB.

%package -n lsdb-xemacs
Summary: lsdb - a rolodex-like database program for SEMI based MUA
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description -n lsdb-xemacs
LSDB (The Lovely Sister Database) is a rolodex-like database program
for SEMI based MUA.  It intends to be a lightweight replacement for
BBDB (The Insidious Big Brother Database).  Unfortunately, it
currently doesn't support the all features of BBDB.

%prep
%setup -q -n lsdb-%{version}
rm -rf %{buildroot}

%build
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp \
  install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README bbdb-to-lsdb.el

%files -n lsdb-emacs
%defattr(-,root,root)
%{e_sitedir}/lsdb

%files -n lsdb-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/lsdb

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.10-7m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.10-6m)
- use %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-5m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.10-4m)
- rebuild against emacs-21.3.50

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-3m)
- rebuild against emacs-21.3
- use %{_prefix} %%{_datadir} macro

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (0.10-2m)
- rebuild against elisp-emiko-1.14.1-22m

* Thu Jan  9 2003 Junichiro Kita <kita@momonga-linux.org>
- (0.10-1m)
- ver up

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9-2m)
- add BuildPreReq: apel-emacs, apel-xemacs
- add BuildPreReq: emiko-emacs, emiko-xemacs

* Sat Sep  7 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.9-1m)
- ver up

* Mon Aug 26 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.8-1m)
- ver up

* Fri May 24 2002 Junichiro Kita <kitaj@kondara.org>
- initial build
